%define major       0
%define libname     MC-TESTER
%define libnamedev  MC-TESTER-devel
%define develnamestatic  MC-TESTER-static-devel



Name:           MC-TESTER
Version:        1.26.0
Release:        1%{?dist}
License:        Unknown
Url:            http://mc-tester.web.cern.ch/MC-TESTER/
#Source0:        http://mc-tester.web.cern.ch/MC-TESTER/%{name}-%{version}.tar.gz
Source0:        mctester-changeset29Jan.zip
Summary:        Monte Carlo event generator toolkit
Requires:       HepMC  HepMC3 root  root-core root-graf  root-hist
BuildRequires:  autoconf automake libtool  doxygen
BuildRequires:  HepMC HepMC-devel HepMC3 HepMC3-devel root  root-core root-graf  root-hist
Prefix: %{_prefix}

%description
 MC-TESTER is a toolkit for providing a common platform for using and 
 building event generators in C++. 

%package  devel
Summary:        Libraries and headers for %{name}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
%{libnamedev} contains the libraries and header files needed to
develop programs which make use of %{name}.
The library documentation is available on header files.




%prep
%setup -q -n mctester-changeset29Jan/MC-TESTER
%build
autoreconf
mkdir -p lib
%configure  --with-HepMC=%_prefix --with-HepMC3=%_prefix   --with-root=%_prefix  
make %{?_smp_mflags}
make -C doc

%install
%make_install 
%files   -n %{libname}
%_libdir/*

%files -n %{libnamedev}
%_includedir/*

%changelog
* Thu May 26 2016 Andrii Verbytskyi 2.0.2
+ Initial spec file

